mlpack_gmm_generate(1)

NAME
mlpack_gmm_generate - gmm sample generator

SYNOPSIS
 mlpack_gmm_generate -m unknown -n int [-s int] [-V bool] [-o unknown] [-h -v]

DESCRIPTION
This program is able to generate samples from a pre-trained GMM (use gmm_train to train a GMM). The pre-trained GMM must be specified with the ’--input_model_file (-m)' parameter. The number of samples to generate is specified by the '--samples (-n)' parameter. Output samples may be saved with the '--output_file (-o)' output parameter.

The following command can be used to generate 100 samples from the pre-trained GMM 'gmm.bin' and store those generated samples in 'samples.csv':

$ mlpack_gmm_generate --input_model_file gmm.bin --samples 100 --output_file samples.csv

REQUIRED INPUT OPTIONS

--input_model_file (-m) [unknown]
    Input GMM model to generate samples from.

--samples (-n) [int]
    Number of samples to generate.

OPTIONAL INPUT OPTIONS

--help (-h) [bool]
    Default help info.

--info [string]
    Print help on a specific option. Default value ''.

--seed (-s) [int]
    Random seed. If 0, 'std::time(NULL)' is used. Default value 0.

--verbose (-v) [bool]
    Display informational messages and the full list of parameters and timers at the end of execution.

--version (-V) [bool]
    Display the version of mlpack.

OPTIONAL OUTPUT OPTIONS
--output_file (-o) [unknown] Matrix to save output samples in.nnADDITIONAL INFORMATIONNN FOR FURTHER INFORMATION, INCLUDING RELEVANT PAPERS, CITATIONS, AND THEORY, consult the documentation found at http://www.mlpack.org or included with your distribution of mlpack.